from sign import SignOrchestrator

"""
This is a script to sign a file with the dummy assets

It is created mainly for testing purpose
"""

orchestrator = SignOrchestrator('./assets/dummy.p12',
                                '/home/julien/dev/chill/sign-pdf-worker/ts-authority/rootca.conf',
                                '5678',
                                '/home/julien/dev/chill/sign-pdf-worker/ts-authority/ca/tsa-chain.pem',
                                pkcs12_password=None)

with open('./assets/test.pdf', 'rb') as input:
    signed_content = orchestrator.sign(reason="first signer", signature_index=0,
                                       input_content=input.read(), box_place=(300, 600, 500, 660), on_page=0,
                                       signer_text="Mme Caroline Diallo")

    with open('./assets/test_signed_0.pdf', 'wb') as output:
        output.write(signed_content.read())

with open('./assets/test_signed_0.pdf', 'rb') as input:
    signed_content = orchestrator.sign(reason="second signer", signature_index=1,
                                       input_content=input.read(), box_place=(100, 600, 300, 660), on_page=0,
                                       signer_text="M. Bah Mamadou")

    with open('./assets/test_signed_1.pdf', 'wb') as output:
        output.write(signed_content.read())
